import java.io.File;
import java.io.FileOutputStream;
import java.text.SimpleDateFormat;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRichTextString;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import java.util.Date;

public class JobEmailUtil 
{
	private static Log logger = LogFactory.getLog(JobEmailUtil.class);
	public static void main(String args[]) throws Exception
	{

		Date date=new Date();
		JobsVO jobsVO = new JobsVO();
		jobsVO.setJobReference(jobReferenceId);
	jobsVO.setJobTitle("jobTitle");
	jobsVO.setLocation("location");
	jobsVO.setCountry("country");
	jobsVO.setCategory("category");
	jobsVO.setSalary("11000");
	jobsVO.setRangeStartSalary("");
	jobsVO.setRangeEndSalary("");
	jobsVO.setStartDate(date);
	jobsVO.setTestdispdate(date);
	jobsVO.setTestexpdate(date);
	jobsVO.setEmployername("employer");
	jobsVO.setContactEmail("suresh54145@gmail.com");
	jobsVO.setContactName("suresh");
	jobsVO.setContactTelephone("123456");
	jobsVO.setWebsite("www.google.com");
	jobsVO.setShortDescription("shortDescription");
	jobsVO.setFullDescription("fullDescription");
	jobsVO.setJobtype("jobType");
	jobsVO.setDirectORAgency("jobMode");


		String fullfileName = "c:\\xyz\\uploadjobs.xls";
		
		exportUserDataToExcel(jobsVO,fullfileName);
	}
	private static File exportUserDataToExcel(JobsVO jobsVO,
			String fullfileName) throws Exception {
	
	HSSFWorkbook wb = new HSSFWorkbook();
	HSSFSheet sheet = wb.createSheet();
	String[] titlesArray = { "Job Reference", "Job Title", "Location",
			"Country", "Category", "Salary", "Range StartSalary",
			"Range EndSalary", "Start Date", "Display Date", "Expiry Date",
			"Employer Name", "Contact Name", "Contact Email",
			"Contact Telephone", "Website", "Short Description",
			"Full Description", "Job Type", "Direct/Agency Job" };

	
	createTitleRow(sheet,titlesArray);


	createUserRow(sheet,jobsVO);


	File pinfile =null;
	pinfile = new File(fullfileName);
	FileOutputStream fileOut = new FileOutputStream(pinfile);
	
	wb.write(fileOut);
	fileOut.close();
	
	return pinfile;
	}
	
	
	//cts------------------------------
	private static void createTitleRow(HSSFSheet sheet, String[] titles) 
	{
		HSSFRow titleRow = sheet.createRow(0);
		for(int i=0;i<titles.length;i++)
		{
			HSSFCell titleCell = titleRow.createCell((short)i);
			titleCell.setCellType(HSSFCell.CELL_TYPE_STRING);
		
			HSSFRichTextString str = new HSSFRichTextString(titles[i]);
			str.applyFont(HSSFFont.BOLDWEIGHT_BOLD);
			titleCell.setCellValue(str);
		
		}
		
	}
	private static void createUserRow(HSSFSheet sheet, JobsVO jobsVO) 
	{
		HSSFRow userRow = sheet.createRow(1);
		int colCount = 0;
		
		addCellToExcel(jobsVO.getJobReference(),userRow,colCount++);
		addCellToExcel(jobsVO.getJobTitle(),userRow,colCount++);
		addCellToExcel(jobsVO.getLocation(),userRow,colCount++);
		addCellToExcel(jobsVO.getCountry(),userRow,colCount++);
		addCellToExcel(jobsVO.getCategory(),userRow,colCount++);
		addCellToExcel(jobsVO.getSalary(),userRow,colCount++);
		addCellToExcel(jobsVO.getRangeStartSalary(),userRow,colCount++);
		addCellToExcel(jobsVO.getRangeEndSalary(),userRow,colCount++);
		addCellToExcel(jobsVO.getStartDate(),userRow,colCount++);
			SimpleDateFormat format = new SimpleDateFormat(
			"dd/MM/yyyy");
		addCellToExcel(format.format(jobsVO.getTestdispdate()),userRow,colCount++);
		addCellToExcel(format.format(jobsVO.getTestexpdate()),userRow,colCount++);
		addCellToExcel(jobsVO.getEmployername(),userRow,colCount++);
		addCellToExcel(jobsVO.getContactName(),userRow,colCount++);
		addCellToExcel(jobsVO.getContactEmail(),userRow,colCount++);
		addCellToExcel(jobsVO.getContactTelephone(),userRow,colCount++);
		addCellToExcel(jobsVO.getWebsite(),userRow,colCount++);
		addCellToExcel(jobsVO.getShortDescription(),userRow,colCount++);
		addCellToExcel(jobsVO.getFullDescription(),userRow,colCount++);
		addCellToExcel(jobsVO.getJobtype(),userRow,colCount++);
		addCellToExcel(jobsVO.getDirectORAgency(),userRow,colCount++);
		
	
	}
	private static void addCellToExcel(String cellData, HSSFRow userRow, int colCount) 
	{
		HSSFCell dataCell = userRow.createCell((short)colCount);
		dataCell.setCellType(HSSFCell.CELL_TYPE_STRING);
		dataCell.setCellValue(cellData);
	}
}